Subject: Re: bug#40518: guix pull: Dependency guix-packages-base fails

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Apr 2020 11:40:47 +0200

Hello,

elaexuotee--- via Bug reports for GNU Guix <[email-masked]> skribis:

>     guix/ui.scm:1936:12: In procedure run-guix-command:
>     In procedure struct-vtable: Wrong type argument in position 1 (expecting struct): #f
>
> Attached is the full output of `guix build --debug=3'. The contents of
> /var/log/guix/drvs/wa//isnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv.bz2
> consist of just the single following line:

I’m pretty sure the issue is caused by ‘--debug=3’.  Could you try
simply:

  guix build /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv

?

I thought there was an open bug report about this issue but I can’t find it.

In short, ‘--debug’ is almost never something you want to use, even as a
Guix developer.

Thanks in advance,
Ludo’.